Package: org.codehaus.groovy.ast.expr

## [Java] Class CastExpression

- org.codehaus.groovy.ast.expr.CastExpression

-     public class CastExpression
      extends Expression

  Represents a typecast expression.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CastExpression(ClassNode type, Expression expression)`
    `CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static CastExpression` | `asExpression(ClassNode type, Expression expression)`
    `` | `public Expression` | `getExpression()`
    `` | `public String` | `getText()`
    `` | `public boolean` | `isCoerce()`
    `` | `public boolean` | `isIgnoringAutoboxing()`
    `` | `public boolean` | `isStrict()` If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST).
    `` | `public void` | `setCoerce(boolean coerce)`
    `` | `public void` | `setExpression(Expression expression)`
    `` | `public void` | `setStrict(boolean strict)` If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST).
    `` | `public void` | `setType(ClassNode type)`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public CastExpression(ClassNode type, Expression expression)

    - #### public CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)

  - ### Method Detail

    - #### public static CastExpression asExpression(ClassNode type, Expression expression)

    - #### public Expression getExpression()

    - #### @Override
      public String getText()

    - #### public boolean isCoerce()

    - #### public boolean isIgnoringAutoboxing()

    - #### public boolean isStrict()

      If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST).

    - #### public void setCoerce(boolean coerce)

    - #### public void setExpression(Expression expression)

    - #### public void setStrict(boolean strict)

      If strict mode is true, then when the compiler generates a cast, it will disable Groovy casts and rely on a strict cast (CHECKCAST).

    - #### @Override
      public void setType(ClassNode type)

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)